Bug 1072031 - gambas3 depends on Qt WebKit 4
gambas3 depends on Qt WebKit 4
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Fabio Scl
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-09 18:52 UTC by Fabian Vogt
Modified: 2017-12-11 07:30 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Vogt 2017-12-09 18:52:05 UTC
Qt WebKit 4 will be dropped in TW (and Leap 15) very soon and as gamas3 currently depends on it, it won't be able to build anymore.

Simply removing the pkgconfig(QtWebKit) BuildDep doesn't seem to be enough, while it disables building of gb.qt4.webkit, it fails later on with "FProperty.class:25: error: Unknown identifier: WebView".
Comment 1 Alexei Podvalsky 2017-12-09 19:38:07 UTC
You can build with the --disable-qt4 option.
Comment 2 Alexei Podvalsky 2017-12-10 04:37:17 UTC
solved via sr#555608
Comment 3 Bernhard Wiedemann 2017-12-10 23:30:05 UTC
This is an autogenerated message for OBS integration:
This bug (1072031) was mentioned in
https://build.opensuse.org/request/show/555783 Factory / gambas3
Comment 4 Bernhard Wiedemann 2017-12-11 07:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1072031) was mentioned in
https://build.opensuse.org/request/show/555834 Factory / gambas3